Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create issue comment

POST/workspaces/{organizationId}/issues/{issueId}/comments
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
issueIdstringrequired
Request body
application/json
bodystringrequired
min length 1
Responses
201

Comment created

idstringrequired
organizationIdstringrequired
issueIdstring | nullrequired
documentIdstring | nullrequired
authorIdstring | nullrequired
bodystringrequired
externalIdstring | nullrequired
externalSourcestring | nullrequired
externalAuthorstring | nullrequired
resolvedAtstring | nullrequired
resolvedByIdstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
202

Agent output held for review — the issue is flagged sensitive, so the comment was stored as a pending draft instead of posting

draftDraftOutputrequired
Show properties
idstringrequired
organizationIdstringrequired
entityTypestringrequired
entityIdstringrequired
issueIdstring | nullrequired
kindstringrequired
Allowed:commentfield_changemessageartifact
payloadobjectrequired
statusstringrequired
Allowed:pendingpublisheddiscarded
createdByIdstring | nullrequired
sessionIdstring | nullrequired
reviewedByIdstring | nullrequired
reviewedAtstring | nullrequired
reviewNotestring | nullrequired
publishedCommentIdstring | nullrequired
agentSlugstring | nullrequired
promptVersionstring | nullrequired
originalPayloadobject | nullrequired
slaBreachedbooleanrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/issues/string/comments' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "body": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "issueId": "string",
  "documentId": "string",
  "authorId": "string",
  "body": "string",
  "externalId": "string",
  "externalSource": "string",
  "externalAuthor": "string",
  "resolvedAt": "string",
  "resolvedById": "string",
  "createdAt": "string",
  "updatedAt": "string"
}

Was this page helpful?